from django.contrib import admin

from . import models


class VideoAdmin(admin.ModelAdmin):
    list_display = ['id', 'title', 'slug', 'status', 'duration']
    readonly_fields = ['created', 'updated']
    list_filter = ('status',)

    def save_model(self, request, obj, form, change):
        obj.creator = request.user
        super().save_model(request, obj, form, change)


class PlayListAdmin(admin.ModelAdmin):
    list_display = ['id', 'title', ]
    readonly_fields = ['created', 'updated']


class CategoryAdmin(admin.ModelAdmin):
    list_display = ['id', 'name', ]


admin.site.register(models.Video, VideoAdmin)
admin.site.register(models.Playlist, PlayListAdmin)
admin.site.register(models.Category, CategoryAdmin)
